Package edu.wisc.game.rest

## Class TrialList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<ParaSet>
      - - edu.wisc.game.rest.TrialList

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Iterable<ParaSet>`, `Collection<ParaSet>`, `List<ParaSet>`, `RandomAccess`

      public class TrialList
      extends Vector<ParaSet>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TrialList​(File f)` | Reads a trial list from the specified file.
    `TrialList​(String exp, String trialListId)` | Reads a trial list from the file that corresponds to a given experiment trial and the specified trial list id within that experiment.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `extractExperimentPlanFromPlayerId​(String playerId)` | To which experiment plan does this player ID belong?
    `String` | `getErrmsg()` |
    `boolean` | `getError()` |
    `String` | `getPath()` |
    `static Vector<String>` | `listTrialLists​(File base)` |
    `static Vector<String>` | `listTrialLists​(String exp)` |
    `static HashMap<String,​Integer>` | `readDefects​(String exp)` |
    `void` | `setErrmsg​(String _errmsg)` |
    `void` | `setError​(boolean _error)` |
    `void` | `setPath​(String _path)` |
    `static File` | `trialListFile​(String exp, String trialListId)` | Reads a trial list from the file that corresponds to a given experiment trial and the specified trial list id within that experiment.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream, toArray`

- - ### Constructor Detail

    - #### TrialList

          public TrialList​(String exp,
                           String trialListId)

      Reads a trial list from the file that corresponds to a given experiment trial and the specified trial list id within that experiment.

    - #### TrialList

          public TrialList​(File f)

      Reads a trial list from the specified file.

  - ### Method Detail

    - #### getError

          public boolean getError()

    - #### setError

          public void setError​(boolean _error)

    - #### getErrmsg

          public String getErrmsg()

    - #### setErrmsg

          public void setErrmsg​(String _errmsg)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath​(String _path)

    - #### extractExperimentPlanFromPlayerId

          public static String extractExperimentPlanFromPlayerId​(String playerId)

      To which experiment plan does this player ID belong?

    - #### listTrialLists

          public static Vector<String> listTrialLists​(String exp)
                                               throws IOException

      Throws:
        `IOException`

    - #### listTrialLists

          public static Vector<String> listTrialLists​(File base)
                                               throws IOException

      Throws:
        `IOException`

    - #### readDefects

          public static HashMap<String,​Integer> readDefects​(String exp)

    - #### trialListFile

          public static File trialListFile​(String exp,
                                           String trialListId)

      Reads a trial list from the file that corresponds to a given experiment trial and the specified trial list id within that experiment.